<?php

namespace App\Generated\V1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class SupvipDTO extends DTO
{
    use ValueHelper;

    protected $supvipEndat;

    /**
     * @return int
     */
    public function getSupvipEndat()
    {
        return $this->supvipEndat;
    }

    public function setSupvipEndat($supvipEndat)
    {
        $this->supvipEndat = $supvipEndat;
    }

    public function getAttributeMap()
    {
        return [
            ['supvipEndat', 'supvip_endat', 'bail|integer', Constants::INTEGER, null],
        ];
    }

}
